cordova-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CB-12606) Cordova fails to install plugin dependency from url
Date Tue, 28 Mar 2017 11:16:41 GMT

    [ https://issues.apache.org/jira/browse/CB-12606?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15944959#comment-15944959
] 

ASF GitHub Bot commented on CB-12606:
-------------------------------------

Github user codecov-io commented on the issue:

    https://github.com/apache/cordova-lib/pull/531
  
    # [Codecov](https://codecov.io/gh/apache/cordova-lib/pull/531?src=pr&el=h1) Report
    > Merging [#531](https://codecov.io/gh/apache/cordova-lib/pull/531?src=pr&el=desc)
into [master](https://codecov.io/gh/apache/cordova-lib/commit/43d7eaf20aa07fae34c36ea5bf445a49c4241372?src=pr&el=desc)
will **increase** coverage by `<.01%`.
    > The diff coverage is `100%`.
    
    [![Impacted file tree graph](https://codecov.io/gh/apache/cordova-lib/pull/531/graphs/tree.svg?height=150&width=650&token=KwBjKMXLqA&src=pr)](https://codecov.io/gh/apache/cordova-lib/pull/531?src=pr&el=tree)
    
    ```diff
    @@            Coverage Diff             @@
    ##           master     #531      +/-   ##
    ==========================================
    + Coverage   82.41%   82.42%   +<.01%     
    ==========================================
      Files          68       68              
      Lines        5460     5461       +1     
      Branches     1069     1070       +1     
    ==========================================
    + Hits         4500     4501       +1     
      Misses        960      960
    ```
    
    
    | [Impacted Files](https://codecov.io/gh/apache/cordova-lib/pull/531?src=pr&el=tree)
| Coverage Δ | |
    |---|---|---|
    | [cordova-lib/src/plugman/install.js](https://codecov.io/gh/apache/cordova-lib/pull/531?src=pr&el=tree#diff-Y29yZG92YS1saWIvc3JjL3BsdWdtYW4vaW5zdGFsbC5qcw==)
| `88.37% <100%> (+0.03%)` | :arrow_up: |
    
    ------
    
    [Continue to review full report at Codecov](https://codecov.io/gh/apache/cordova-lib/pull/531?src=pr&el=continue).
    > **Legend** - [Click here to learn more](https://docs.codecov.io/docs/codecov-delta)
    > `Δ = absolute <relative> (impact)`, `ø = not affected`, `? = missing data`
    > Powered by [Codecov](https://codecov.io/gh/apache/cordova-lib/pull/531?src=pr&el=footer).
Last update [43d7eaf...4c99c0d](https://codecov.io/gh/apache/cordova-lib/pull/531?src=pr&el=lastupdated).
Read the [comment docs](https://docs.codecov.io/docs/pull-request-comments).


> Cordova fails to install plugin dependency from url
> ---------------------------------------------------
>
>                 Key: CB-12606
>                 URL: https://issues.apache.org/jira/browse/CB-12606
>             Project: Apache Cordova
>          Issue Type: Bug
>          Components: cordova-lib
>    Affects Versions: Master
>         Environment: Windows 10, Node 4.5.0, npm 3.10.10
>            Reporter: Alexander Sorokin
>            Assignee: Alexander Sorokin
>              Labels: found-by-ci, triaged
>
> When trying to install android platform on top of the plugin with the following line
in its `plugin.xml`
> {noformat}
> <dependency id="cordova-plugin-device" url="https://github.com/apache/cordova-plugin-device"
/>
> {noformat}
> Getting the following error:
> {noformat}
> Installing "cordova-plugin-geolocation-tests" for ios
> Failed to install 'cordova-plugin-geolocation-tests': CordovaError: Version of installed
plugin: "cordova-plugin-device@1.1.6-dev" does not satisfy dependency plugin requirement "cordova-plugin-device@".
Try --force to use installed plugin as dependency.
>     at /Users/jenkins/jenkins/workspace/cordova-periodic-build/cordova-lib/cordova-lib/src/plugman/install.js:575:33
>     at _fulfilled (/Users/jenkins/jenkins/workspace/cordova-periodic-build/cordova-lib/cordova-lib/node_modules/q/q.js:787:54)
>     at self.promiseDispatch.done (/Users/jenkins/jenkins/workspace/cordova-periodic-build/cordova-lib/cordova-lib/node_modules/q/q.js:816:30)
>     at Promise.promise.promiseDispatch (/Users/jenkins/jenkins/workspace/cordova-periodic-build/cordova-lib/cordova-lib/node_modules/q/q.js:749:13)
>     at /Users/jenkins/jenkins/workspace/cordova-periodic-build/cordova-lib/cordova-lib/node_modules/q/q.js:509:49
>     at flush (/Users/jenkins/jenkins/workspace/cordova-periodic-build/cordova-lib/cordova-lib/node_modules/q/q.js:108:17)
>     at nextTickCallbackWith0Args (node.js:420:9)
>     at process._tickCallback (node.js:349:13)
> Error: Version of installed plugin: "cordova-plugin-device@1.1.6-dev" does not satisfy
dependency plugin requirement "cordova-plugin-device@". Try --force to use installed plugin
as dependency.
> {noformat}



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

---------------------------------------------------------------------
To unsubscribe, e-mail: issues-unsubscribe@cordova.apache.org
For additional commands, e-mail: issues-help@cordova.apache.org


Mime
View raw message